
require 'pathname'

def get_test_dir_name(n)
  return sprintf("testdir%02i", n)
end

NO_OF_SUB_DIR = 22

csd = Pathname.new(File.expand_path(File.dirname(__FILE__)))

Dir.chdir(csd) do
  
  # JRuby and MRI work up to 21
  # Creating the directory structure only works using Cygwin Ruby with more sub directories.
  # I saw an error message indicating problems with path names longer than 255 characters. 
  # 
  if File.directory?(get_test_dir_name(1)) == false 
    (1..NO_OF_SUB_DIR).each do |n|
      dir_name = get_test_dir_name(n)

      Dir.mkdir(dir_name)
      Dir.chdir(dir_name)
    end

    File.open('longtestfile.name.txt', 'w') do |fh|
      fh << "Hello, World."
    end
  end

  complete_subdir = [csd.to_s]

  (1..NO_OF_SUB_DIR).each { |n| complete_subdir << get_test_dir_name(n) }
    
  complete_subdir << 'longtestfile.name.txt'
    
  complete_subdir = File.join(*complete_subdir)
  
  puts complete_subdir
  
  puts File.stat(complete_subdir).mtime
  puts File.lstat(complete_subdir).mtime

end
